#include<iostream>
#include<cmath>
using namespace std;
#define ll long long
#define MAXN 100050
int main()
{
	ios_base::sync_with_stdio(false);cin.tie(0);
	int n,m,a[MAXN];
	cin>>n>>m;
	for(int i=1;i<=n;i++) cin>>a[i];
	ll ans=0;
	for(int i=0;i<m;i++)
	{
		int x,y;
		cin>>x>>y;
		ans+=abs(a[x]+a[y]);
	}
	cout<<ans;
	return 0;
}